complexType "OilPipelineDelivery"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 6 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | pipelineName?, withdrawalPoint?, entryPoint?, deliverableByBarge?, risk?, cycle*
</...>

Content Model Elements (6):

  cycle (in pipeline), deliverableByBarge, entryPoint (in pipeline), | pipelineName, risk (in pipeline), withdrawalPoint (in pipeline)

All Direct / Indirect Based Elements (1):

  pipeline

Known Usage Locations

- As direct type of elements (1):
  pipeline

Annotation
The physical delivery conditions specific to an oil product delivered by pipeline.
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="OilPipelineDelivery"> <xsd:sequence> <xsd:element minOccurs="0" name="pipelineName" type="CommodityPipeline"/> <xsd:element minOccurs="0" name="withdrawalPoint" type="CommodityDeliveryPoint"/> <xsd:element minOccurs="0" name="entryPoint" type="CommodityDeliveryPoint"/> <xsd:element minOccurs="0" name="deliverableByBarge" type="xsd:boolean"/> <xsd:element minOccurs="0" name="risk" type="CommodityDeliveryRisk"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="cycle" type="CommodityPipelineCycle"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
cycle

  Type: | CommodityPipelineCycle, simple content

  The cycle(s) during which the oil product will be transported in the pipeline.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="cycle" type="CommodityPipelineCycle"/>

deliverableByBarge

  Type: | xsd:boolean, predefined, simple content

  Whether or not the delivery can go to barge. For trades documented under the ISDA Master Agreement and Oil Annex, this should always be set to 'false'.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliverableByBarge" type="xsd:boolean"/>

entryPoint

  Type: | CommodityDeliveryPoint, simple content

  The point at which the oil product will enter the pipeline.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="entryPoint" type="CommodityDeliveryPoint"/>

pipelineName

  Type: | CommodityPipeline, simple content

  The name of pipeline by which the oil product will be delivered.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="pipelineName" type="CommodityPipeline"/>

risk

  Type: | CommodityDeliveryRisk, simple content

  Specifies how the risk associated with the delivery is assigned. For trades documented under the ISDA Master Agreement and Oil Annex, this presence of this element indicates that the provisions of clause (b)(i) of the ISDA Oil Annex are being varied.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="risk" type="CommodityDeliveryRisk"/>

withdrawalPoint

  Type: | CommodityDeliveryPoint, simple content

  The location at which the transfer of the title to the commodity takes place.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="withdrawalPoint" type="CommodityDeliveryPoint"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.